<?php

/**
*	Simple Feedback 1.0
*/
class controller_plugin_simple_feedback extends plugin
{	
	private $errors = array();

	public function action_index($plugin) {
		$params = unserialize($plugin['params']);
		
		if(isset($_POST['submit'])) {
			$errors = array();
			if(empty($_POST['name'])) {
				$errors[] = 'Вы не заполнили поле: Имя';
			}
			if(empty($_POST['email'])) {
				$errors[] = 'Вы не заполнили поле: Email';
			}
			if(empty($_POST['phone'])) {
				$errors[] = 'Вы не заполнили поле: Телефон';
			}
			if(empty($_POST['text'])) {
				$errors[] = 'Вы не заполнили поле: Сообщение';
			}
			if(count($errors)==0) {
				// отправляем письмо
				$mail_to = $params['mail_to'];
				$mail_from = $params['mail_from'];
				$name_from = $params['mail_text_from'];
				$subject = $params['mail_subject']; // дописать адрес сайта 
				$text = 'Имя: '.$_POST['name'] .'<br> Email: '.$_POST['email'].'<br> Телефон: '.$_POST['phone'].'<br> Сообщение отправлено со страницы: '.SITE_URL . $_SERVER['REQUEST_URI'].'<br> Сообщение: '.$_POST['text'];
				
				$r = $this->mail_pro($mail_to, $mail_from, $name_from, $subject, $text);
				
				$this->data['message'] = $params['mail_text_success'];
				$this->data['div_class'] = 'success';
				$this->data['name'] = '';
				$this->data['email'] = '';
				$this->data['phone'] = '';
				$this->data['text'] = '';
				$this->page['html'] = $this->load_view();
			}
			else {
				$this->data['name'] = $_POST['name'];
				$this->data['email'] = $_POST['email'];
				$this->data['phone'] = $_POST['phone'];
				$this->data['text'] = $_POST['text'];
				$this->data['message'] = implode($errors,'<br>');
				$this->data['div_class'] = 'error';
				$this->page['html'] = $this->load_view();
				
			}

		}
		else{
			$this->data['name'] = '';
			$this->data['email'] = '';
			$this->data['phone'] = '';
			$this->data['text'] = '';
			$this->page['html'] = $this->load_view();
		}
		
		
		return $this->page;
	}
	
	public function action_activate() {
		
		$this->page['html'] = '';
		return $this->page;
	}
	
	public function action_deactivate() {
		
	}
	
	public function action_settings($plugin) {
		//core::print_r($plugin);
		$params = unserialize($plugin['params']);
		
		if (isset($_POST['edit_settings'])) {
			$this->page['params'] = serialize(array(
				
				'mail_to'           => $_POST['mail_to'],
				'mail_subject'      => $_POST['mail_subject'],
				'mail_from'         => $_POST['mail_from'],
				'mail_text_from'    => $_POST['mail_text_from'],
				'mail_text_success' => $_POST['mail_text_success'],
			));
			
			return $this->page;
		}
		
		$this->data['mail_to'] = $params['mail_to'];
		$this->data['mail_subject'] = $params['mail_subject'];
		$this->data['mail_from'] = $params['mail_from'];
		$this->data['mail_text_from'] = $params['mail_text_from'];
		$this->data['mail_text_success'] = $params['mail_text_success'];
		
		
		$this->page['html'] = $this->load_view('settings');
		
		return $this->page;
	}
	
	// v. 2.1
	public function mail_pro($mail_to, $mail_from, $name_from, $subject, $text) {
	$headers  = 'MIME-Version: 1.0' . "\r\n";
	$headers .= "Content-type: text/html; charset=utf-8\r\n";
	$headers .= "From: =?utf-8?b?" . base64_encode($name_from) . "?=" . " <".$mail_from.">\r\n" ;
	if(mail($mail_to,$subject,$text,$headers)) {
		return true;
	} else {
		return false;
	}
	
}
}